Subject: [alpine-aports] [PATCH] testing/py_rpi.gpio: new aport

From: Justin Saunders <[email-masked]>
Date: Sun, 14 Feb 2016 21:40:47 +0000

https://pypi.python.org/pypi/RPi.GPIO
A python module to control Raspberry Pi GPIO channels
---
 testing/py-rpi.gpio/APKBUILD | 32 ++++++++++++++++++++++++++++++++
 1 file changed, 32 insertions(+)
 create mode 100644 testing/py-rpi.gpio/APKBUILD

diff --git a/testing/py-rpi.gpio/APKBUILD b/testing/py-rpi.gpio/APKBUILD
new file mode 100644
index 0000000..7844e7a
--- /dev/null
+++ b/testing/py-rpi.gpio/APKBUILD
@@ -0,0 +1,32 @@
+# Contributor: Justin Saunders <[email-masked]>
+# Maintainer: Justin Saunders <[email-masked]>
+pkgname=py-rpi.gpio
+_pkg_real=RPi.GPIO
+pkgver=0.6.1
+pkgrel=0
+pkgdesc="A python module to control Raspberry Pi GPIO channels"
+url="http://packages.python.org/pypi/RPi.GPIO"
+arch="armhf"
+license="PSF"
+pydepends=""
+pymakedepends=""
+depends="python $pydepends"
+makedepends="python-dev $pymakedepends"
+source="https://pypi.python.org/packages/source/R/RPi.GPIO/RPi.GPIO-0.6.1.tar.gz"
+
+_builddir="$srcdir/$_pkg_real-$pkgver"
+build() {
+	cd "$_builddir"
+	python setup.py build || return 1
+}
+
+package() {
+	cd "$_builddir"
+	python setup.py install \
+		--prefix=/usr \
+		--root="$pkgdir" \
+		|| return 1
+}
+md5sums="254d0443a436eb241367c487274e7197  RPi.GPIO-0.6.1.tar.gz"
+sha256sums="54e5fb06d9ea1a1389a497fb5a06dfa950c86303b0f4ba89b68c55999d1df064  RPi.GPIO-0.6.1.tar.gz"
+sha512sums="8a66a5c6283b79aa6cc5bbf16507c6c93ba6c53b84b6b67d2f133572ce76cb2c8ba4b0957a4fc131ff920e0b34b09aa913d0c9401dc1bfaf76be8235b4f33687  RPi.GPIO-0.6.1.tar.gz"
-- 
2.6.4

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---